vich_uploader:
  db_driver: orm

  mappings:
    campagn_image:
      uri_prefix: /img/campagns
      upload_destination: '%kernel.project_dir%/public/img/campagns'
      namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
      delete_on_update: true
      delete_on_remove: true


    reward_image:
      uri_prefix: /img/rewards
      upload_destination: '%kernel.project_dir%/public/img/rewards'
      namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
      delete_on_update: true
      delete_on_remove: true


    category_image:
      uri_prefix: /img/categories
      upload_destination: '%kernel.project_dir%/public/img/categories'
      namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
      delete_on_update: true
      delete_on_remove: true

    category_icon:
      uri_prefix: /img/categories/icons
      upload_destination: '%kernel.project_dir%/public/img/categories/icons'
      namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
      delete_on_update: true
      delete_on_remove: true

  #mappings:
  #    products:
  #        uri_prefix: /images/products
  #        upload_destination: '%kernel.project_dir%/public/images/products'
